Option | Description | Values | Default
--- | --- | --- | ---
sortParamsByRequiredFlag | Sort method arguments to place required parameters before optional parameters. |  | true
sortModelPropertiesByRequiredFlag | Sort model properties to place required parameters before optional parameters. |  | true
ensureUniqueParams | Whether to ensure parameter names are unique in an operation (rename parameters that are not). |  | true
allowUnicodeIdentifiers | boolean, toggles whether unicode identifiers are allowed in names or not, default is false |  | false
prependFormOrBodyParameters | Add form or body parameters to the beginning of the parameter list. |  | false
projectName | GNAT project name |  | defaultProject

##
IMPORT MAPPING

Type/Alias | Imports
--- | ---

##
INSTANTIATION TYPES

Type/Alias | Instantiated By
--- | ---

##
LANGUAGE PRIMITIVES

- Integer
- boolean
- Character
- double
- integer
- Boolean
- float
- long

##
RESERVED WORDS

- exception
- synchronized
- constant
- mod
- select
- declare
- separate
- use
- do
- elsif
- body
- type
- while
- when
- aliased
- protected
- tagged
- else
- loop
- function
- record
- raise
- rem
- if
- case
- others
- all
- new
- package
- in
- is
- then
- pragma
- accept
- entry
- exit
- at
- delay
- task
- null
- abort
- overriding
- terminate
- begin
- some
- private
- access
- for
- range
- interface
- out
- not
- goto
- array
- subtype
- and
- of
- end
- xor
- or
- limited
- abstract
- procedure
- reverse
- generic
- renames
- requeue
- with
- abs
- digits
- until
- return

Last updated on 1/9/2020